#!/bin/bash

USER=`whoami`
USER_IP=`who -u am i 2>/dev/null| awk '{print $NF}'|sed -e 's/[()]//g'`
if [ "$USER_IP" = ":0" ]; then
    USER_IP=`hostname`
fi
if [ "$USER" = "root" ]; then
    export HISTORY_FILE="/var/log/.history_log"
else
    export HISTORY_FILE="/home/${USER}/.history_log"
fi
export HISTSIZE=1024
export HISTFILESIZE=4096
export PROMPT_COMMAND='{ msg=$(history 1 | { read x y; echo $y; });echo $(date +"%Y-%m-%d %H:%M:%S") [$USER@$LOGNAME@$USER_IP `pwd` ]" $msg" >> $HISTORY_FILE; }'
